#!/bin/bash -e
# shellcheck disable=SC2034
#
# freebox-tools:apis/install-commons.sh
#

#
# Accoring to: http://www.pathname.com/fhs/pub/fhs-2.3.html
#
# Put everything into: /usr/local/share/freebox-tools,
# Ensure *.sh are executables and readonly,
# Add links into: /usr/bin
#
declare -r INSTALL_DATA_DIR='/usr/local/share/freebox-tools'
declare -r INSTALL_BIN_DIR='/usr/bin'

declare -r REMOVE_OLD="${INSTALL_DATA_DIR}/freebox-remove.sh"
declare -r REMOVE_EXE="${INSTALL_DATA_DIR}/freebox-tools-remove.sh"

declare -r INSTALL_LINKS='
freebox
'

declare -r INSTALL_EXE='
bin/freebox.sh
freebox-tools-install.sh
freebox-tools-remove.sh
'

declare -ra INSTALL_PACKAGES=( curl jq )

