#!/bin/bash
#
# freebox-tools:bin/freebox-parental-api.sh
#

function freebox_getparental_filters_json {
  freebox_api_get_with_result_if_success '/parental/filter/' | jq_normalize
}

function freebox_network_control_json {
  local -r profile_id="$1"

  if [ -z "${profile_id}" ] || [ "${profile_id}" = '0' ] ; then
    freebox_api_get_with_result_if_success "/network_control" | jq_normalize
  else
    freebox_api_get_with_result_if_success "/network_control/${profile_id}" | jq_normalize
  fi
}

